Back to Reddit
TikHub·Reddit
Reddit APP: Fetch Reddit APP Dynamic Search Results
/api/v1/reddit/app/fetch_dynamic_searchsync$0.0015 / callPerform Reddit APP dynamic search, supporting posts, communities, comments, media, and users (TikHub · Reddit APP)
Input
| Field | Type | Required | Description |
|---|---|---|---|
| language | string | — | Preferred response language as an IETF language tag; default: en-US (default "en-US") |
| query | string | yes | Search query |
| search_type | string (post, community, comment, media, people) | — | /Search type: post( ), community( ), comment( ), media( ), people( ) (default "post") |
| sort | string | — | comment / media) / Sort method (only for post / comment |
| time_range | string | — | media) / Time range (only for post |
| safe_search | string (unset, strict) | — | Safe search setting: unset, strict (default "unset") |
| allow_nsfw | string (0, 1) | — | Allow NSFW content: 0, 1 (default "0") |
| after | string | — | Pagination parameter (default "") |
| need_format | boolean | — | Whether to clean and format the data (default false) |
Run it
curl -s https://www.sooma.dev/v1/run \
-H "Authorization: Bearer $SOOMA_API_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"tikhub","endpoint":"/api/v1/reddit/app/fetch_dynamic_search","input":{}}'
Or ask your agent: it will call inspect for this schema and run it over MCP.